package lebrijo.school.model;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;


/**
 * The persistent class for the SCHOOLCERTIFICATES database table.
 * 
 */
@Entity
@Table(name="SCHOOLCERTIFICATES")
public class Schoolcertificate implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private String course;

    @Temporal( TemporalType.DATE)
	private Date enddate;

	private String name;

	private String nif;

    @Temporal( TemporalType.DATE)
	private Date startdate;

	private String surname;

    public Schoolcertificate() {
    }

	public String getCourse() {
		return this.course;
	}

	public void setCourse(String course) {
		this.course = course;
	}

	public Date getEnddate() {
		return this.enddate;
	}

	public void setEnddate(Date enddate) {
		this.enddate = enddate;
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getNif() {
		return this.nif;
	}

	public void setNif(String nif) {
		this.nif = nif;
	}

	public Date getStartdate() {
		return this.startdate;
	}

	public void setStartdate(Date startdate) {
		this.startdate = startdate;
	}

	public String getSurname() {
		return this.surname;
	}

	public void setSurname(String surname) {
		this.surname = surname;
	}

}