package lebrijo.school.dao;

import java.util.List;

import lebrijo.school.model.Schoolcertificate;

/**
 * The DAO interface for the Schoolcertificate entity.
 */
public interface ISchoolCertificatesDao {
	/**
	 * Return the persistent entities returned from a named query.
	 */
	public List findByNamedQuery(String queryName);
	/**
	 * Return the persistent entities returned from a named query with named parameters.
	 */
	public List findByNamedQuery(String queryName, String[] paramNames, Object[] paramValues);
	/**
	 * Find an entity by its id (primary key).
	 * @return The found entity instance or null if the entity does not exist.
	 */
	public Schoolcertificate findSchoolcertificateById(java.lang.String id);
	/**
	 * Return all persistent instances of the <code>Schoolcertificate</code> entity.
	 */
	public List<Schoolcertificate> findAllSchoolcertificates();
	/**
	 * Make the given instance managed and persistent.
	 */
	public void persistSchoolcertificate(Schoolcertificate schoolcertificate);
	/**
	 * Remove the given persistent instance.
	 */
	public void removeSchoolcertificate(Schoolcertificate schoolcertificate);
}