package lebrijo.school.model;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;


/**
 * The persistent class for the REGISTRY database table.
 * 
 */
@Entity
public class Registry implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private String id;

	@Column(name="CLASS")
	private String class_;

	private String remoteaddr;

    @Lob()
	private String request;

    @Lob()
	private String response;

	private String server;

    @Temporal( TemporalType.DATE)
	private Date timestamp;

	private String userid;

    public Registry() {
    }

	public String getId() {
		return this.id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getClass_() {
		return this.class_;
	}

	public void setClass_(String class_) {
		this.class_ = class_;
	}

	public String getRemoteaddr() {
		return this.remoteaddr;
	}

	public void setRemoteaddr(String remoteaddr) {
		this.remoteaddr = remoteaddr;
	}

	public String getRequest() {
		return this.request;
	}

	public void setRequest(String request) {
		this.request = request;
	}

	public String getResponse() {
		return this.response;
	}

	public void setResponse(String response) {
		this.response = response;
	}

	public String getServer() {
		return this.server;
	}

	public void setServer(String server) {
		this.server = server;
	}

	public Date getTimestamp() {
		return this.timestamp;
	}

	public void setTimestamp(Date timestamp) {
		this.timestamp = timestamp;
	}

	public String getUserid() {
		return this.userid;
	}

	public void setUserid(String userid) {
		this.userid = userid;
	}

}