package lebrijo.school.services;

import java.util.List;

import lebrijo.school.model.Schoolcertificate;

/**
 * The service interface for the Schoolcertificate entity.
 */
public interface ISchoolCertificatesService {
	/**
	 * Find an entity by its id (primary key).
	 * @return The found entity instance or null if the entity does not exist.
	 */
	public Schoolcertificate findSchoolcertificateById(java.lang.String id) throws Exception;
	/**
	 * Return all persistent instances of the <code>Schoolcertificate</code> entity.
	 */
	public List<Schoolcertificate> findAllSchoolcertificates() throws Exception;
	/**
	 * Make the given instance managed and persistent.
	 */
	public void persistSchoolcertificate(Schoolcertificate schoolcertificate) throws Exception;
	/**
	 * Remove the given persistent instance.
	 */
	public void removeSchoolcertificate(Schoolcertificate schoolcertificate) throws Exception;
}